#include "../m22.h"
#include <stdio.h>
#include <math.h>



main()
{
 m22 a, b, c;
 a.d[0][0] = .8;
 a.d[1][1] = .9;
 a.d[1][0] = .1;
 a.d[0][1] = -.123;

 b = m22mult(a, a);
 printf("the square of\n"); m22print(stdout, a); printf("\nis\n");
 m22print(stdout, b); printf("\n");

 c = m22sqrt(b);

 printf("Result of sqrt():\n"); m22print(stdout, c); printf("\n");
 printf("sqrt()*sqrt() = \n"); m22print(stdout, m22mult(c, c)); printf("\n");
}



